## autopsy 1.75-2

=== Makefile ===
all:
	@sh ./configure

clean:
	rm -f ./autopsy
	rm -f ./autopsyfunc.pm
	rm -f ./conf.pl
	rm -f ./config.tmp
	find . -name ".*"

=== debian/changelog ===
autopsy (1.75-2) unstable; urgency=low

  * Bumped to Standards 3.6.1.0 (no changes needed)

 -- Mattia Monga <monga@debian.org>  Wed, 10 Mar 2004 17:45:58 +0100

autopsy (1.75-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 28 Nov 2003 19:32:15 +0100

autopsy (1.71-2) unstable; urgency=low

  * Package taken while Lorenzo is waiting to become an official Debian
    mantainer

 -- Mattia Monga <monga@debian.org>  Thu, 17 Apr 2003 22:33:36 +0200

autopsy (1.71-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 15 Apr 2003 19:09:34 +0200

autopsy (1.70-1) unstable; urgency=low

  * Initial Release.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue,  1 Apr 2003 18:01:22 +0200

=== debian/control ===
Source: autopsy
Section: admin
Priority: optional
Maintainer: Mattia Monga <monga@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), dbs, sleuthkit
Standards-Version: 3.6.1.0

Package: autopsy
Architecture: all
Depends: sleuthkit, perl, binutils
Description: Graphical interface to TASK
 The Autopsy Forensic Browser is a graphical interface to the command line
 digital forensic analysis tools in The Sleuth Kit. Together, The Sleuth Kit
 and Autopsy provide many of the same features as commercial digital forensics
 tools for the analysis of Windows and UNIX file systems (NTFS, FAT, FFS,
 EXT2FS, and EXT3FS).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# DBS stuff


TAR_DIR = autopsy-1.75
# the dbs rules
include /usr/share/dbs/dbs-build.mk
# convenient way to set architecture specification strings
# the ifeq condition is here to allow them to be overridden
# from the command line
ifeq (,$(DEB_BUILD_GNU_TYPE))
   include /usr/share/dbs/dpkg-arch.mk
endif



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp 
configure-stamp: $(patched)
	dh_testdir
# Add here commands to configure the package.
	cd $(BUILD_TREE) && $(MAKE)
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

# Add here commands to compile the package.
#	$(MAKE)


	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp $(STAMP_DIR) $(SOURCE_DIR)

# Add here commands to clean up after the build process.
	-cd $(BUILD_TREE) && $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/autopsy.
	dh_install --sourcedir=$(BUILD_TREE) 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs $(BUILD_TREE)/CHANGES
	dh_installdocs $(BUILD_TREE)/README $(BUILD_TREE)/TODO
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman $(BUILD_TREE)/man/man1/autopsy.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## autopsy 2.24

=== Makefile ===
all:
	@sh ./configure

conf.pl:
	@sh ./configure

live: conf.pl
	./make-live-cd

indent:
	cd lib; perltidy -b *.pm *.pl
	cd base; perltidy -b autopsy.base

clean:
	rm -f ./autopsy
	rm -f ./make-live-cd
	rm -f ./conf.pl
	rm -f ./config.tmp
	rm -f ./config2.tmp
	rm -rf ./live-cd/
	rm -f ./lib/*.bak
	rm -f ./base/*.bak
	find . -name ".DS_Store" | xargs rm -f
	find . -type f -perm +g+x,o+x,u+x | xargs  chmod -x
	grep "curtskver=" ./configure
	grep "VER" ./lib/define.pl
	find . -name ".*" | grep -v perltidy

release:
	find . -name "CVS" | xargs rm -rf

=== debian/changelog ===
autopsy (2.24-6) unstable; urgency=medium

  * QA upload.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Update my email address.
  * Update the search rule in debian/watch.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.
  * Update lintian overrides to new format.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster.
  * Set upstream metadata fields: Bug-Submit.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 22 Dec 2023 13:20:34 +0000

autopsy (2.24-5) unstable; urgency=medium

  * QA upload.
  * Ran wrap-and-sort -a.
  * debian/rules: migrated to reduced format. Consequently:
      - Created debian/autopsy.docs and debian/autopsy.manpages.
  * debian/autopsy.lintian-overrides: created.
  * debian/control:
      - Added VCS fields to use Salsa.
      - Reordered fields.
  * debian/copyright:
      - Updated License paragraphs.
      - Updated packaging copyright.
  * debian/gbp.conf: created to configure git-buildpackage.
  * debian/patches/05-find-perm.patch: added 'Forwarded: not-needed'.
  * debian/salsa-ci.yml: created to provide CI tests for Salsa.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 12 Oct 2020 22:18:51 +0000

autopsy (2.24-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Set Rules-Requires-Root:no.
  * debian/copyright: added myself to copyright statement for debian/*.
  * debian/patches:
      - 06-fix-spelling-error-in-manpage.patch: Added to fix some spelling.
  * debian/upstream/metadata: Created.
  * debian/watch: added.

 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Sat, 06 Jun 2020 13:21:58 -0300

autopsy (2.24-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added Homepage field.
  * debian/copyright:
      - Update to format standard machine-readable.
      - Updated file.
  * debian/patches:
      - Disabled the 02-sleuthkit.patch because this patch broken the
        path the Sleuthkit commands: ils, icat and mactime.
        (LP: #1482976, LP: #1645312)

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Fri, 16 Jun 2017 04:09:53 +0000

autopsy (2.24-2) unstable; urgency=low

  [ Adam Borowski ]
  * QA upload.
  * Orphan the package. Closes: #809843

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 08:11:08 +0200

autopsy (2.24-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "find -perm /x" instead of "find -perm +x". Closes: #803030

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Dec 2015 14:02:36 +0100

autopsy (2.24-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <martignlo@debian.org>  Sun, 20 Jun 2010 21:04:54 +0200

autopsy (2.23-2) unstable; urgency=low

  * Rebuilt package because prior version was improperly built (no diff file)
  * Updated to standard 3.8.4
  * Package is lintian clean

 -- Lorenzo Martignoni <martignlo@debian.org>  Mon, 22 Feb 2010 14:59:13 +0100

autopsy (2.23-1) unstable; urgency=low

  * New upstream release.

 -- Lorenzo Martignoni <martignlo@debian.org>  Mon, 22 Feb 2010 12:15:58 +0100

autopsy (2.21-2) unstable; urgency=low

  * Rebuilt package for unstable (Closes: #540514)
  * Updated to standard 3.8.3

 -- Lorenzo Martignoni <martignlo@debian.org>  Tue, 08 Dec 2009 10:30:17 +0100

autopsy (2.21-1) experimental; urgency=low

  * New upstream release (Closes: #464868)

 -- Lorenzo Martignoni <martignlo@debian.org>  Tue, 16 Jun 2009 22:46:38 +0200

autopsy (2.10-1) unstable; urgency=low

  * New upstream release (Closes: #464868)

 -- Lorenzo Martignoni <martignlo@debian.org>  Sun, 26 Apr 2009 17:22:17 +0200

autopsy (2.08-2.1) unstable; urgency=low

  * NMU
  * Applied patch to prevent broken Perl check, closes: #479935.
    Thanks to Peter Green <plugwash@p10link.net>.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 19 Jul 2008 08:25:23 +0200

autopsy (2.08-2) unstable; urgency=low

  * Patched the code to point directly to ils-sleuthkit, icat-sleuthkit
    and mactime-sleuthkit instead of using original filenames (without
    -sleuthkit) which, due to the alternative system, could point to
    incompatible executables (Closes: #407011)

 -- Lorenzo Martignoni <martignlo@debian.org>  Sat, 20 Jan 2007 05:13:15 +0100

autopsy (2.08-1) unstable; urgency=low

  * New upstream release (Closes: #386412)

 -- Lorenzo Martignoni <martignlo@debian.org>  Tue, 17 Oct 2006 05:13:55 +0200

autopsy (2.06-2) unstable; urgency=low

  * Patched autopsy executable to add warning when it is not run as root
    (Closes: #344965)

 -- Lorenzo Martignoni <martignlo@debian.org>  Sat, 14 Jan 2006 15:42:09 +0100

autopsy (2.06-1) unstable; urgency=low

  * New upstream release
  * Updated package description

 -- Lorenzo Martignoni <martignlo@debian.org>  Sun, 23 Oct 2005 23:59:40 +0200

autopsy (2.05-1) unstable; urgency=high

  * New upstream release (Closes: #308990)

 -- Lorenzo Martignoni <martignlo@debian.org>  Thu, 19 May 2005 23:11:55 +0200

autopsy (2.04-3) unstable; urgency=low

  * Applied patch from Kenny Duffus to refles sstring executable Debian
    name (Closes: #304675)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri,  1 Apr 2005 00:00:33 +0200

autopsy (2.04-2) unstable; urgency=low

  * Applied patch from Kenny Duffus to fix sorter executable path

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 30 Mar 2005 20:13:37 +0200

autopsy (2.04-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 27 Mar 2005 14:23:09 +0200

autopsy (2.03-2) unstable; urgency=low



=== debian/control ===
Source: autopsy
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: sleuthkit
Standards-Version: 4.6.2
Homepage: https://www.sleuthkit.org/autopsy/
Vcs-Browser: https://salsa.debian.org/debian/autopsy
Vcs-Git: https://salsa.debian.org/debian/autopsy.git
Rules-Requires-Root: no

Package: autopsy
Architecture: all
Depends: binutils,
         perl,
         sleuthkit,
         ${misc:Depends}
Description: graphical interface to SleuthKit
 The Autopsy Forensic Browser is a graphical interface to the command line
 digital forensic analysis tools in The Sleuth Kit. Together, The Sleuth Kit
 and Autopsy provide many of the same features as commercial digital forensics
 tools for the analysis of Windows and UNIX file systems (NTFS, FAT, FFS,
 EXT2FS, and EXT3FS).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_clean build-stamp config.tmp config2.tmp

override_dh_install:
	dh_install
	find debian -type f -name ".perltidyrc" -delete

=== debian/watch ===
version=4
https://github.com/sleuthkit/autopsy/tags .*/autopsy-?@ANY_VERSION@@ARCHIVE_EXT@
